using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace digioz
{
    public interface ILogin
    {
        bool CheckForCookie(System.Web.SessionState.HttpSessionState Session, Page pg);
        bool CheckForCookie(System.Web.SessionState.HttpSessionState Session, Page pg, string cookieName);
        void RefUrlValidation(System.Web.SessionState.HttpSessionState Session, Page pg);
        bool Authentication(System.Web.SessionState.HttpSessionState Session, Page pg, bool rememberMe, string login1Username, string login1Password);
        bool Authentication(System.Web.SessionState.HttpSessionState Session, Page pg, HttpCookie cookie);
        bool PageAuthentication(System.Web.SessionState.HttpSessionState Session, Page pg);
        bool PageAuthentication(System.Web.SessionState.HttpSessionState Session, Page pg, HttpCookie cookie);
        HttpCookie GetCookie(System.Web.SessionState.HttpSessionState Session, Page pg);
        HttpCookie GetCookie(System.Web.SessionState.HttpSessionState Session, Page pg, string cookieName);
        void Redirection(System.Web.SessionState.HttpSessionState Session, Page pg);
        void Logout(System.Web.SessionState.HttpSessionState Session, Page pg);
    }
}